Page MenuHomePhabricator

Expand Netbox usage - Q2 2018-19 Goal
Closed, ResolvedPublic

Description

Expand Netbox usage - Q2 2018-19 Goal

  • Upgrade Netbox to the latest version (>= 2.4)
  • Track additional categories of infrastructure topology information (e.g. VLANs, IP space, network circuits, etc.)
  • Explore Netbox/NAPALM integration to pull live data from network devices
  • Develop and deploy at least three Netbox reports to assist with data correctness and consistency
  • [stretch] Add a Cumin backend for Netbox

Event Timeline

Volans created this task.Oct 1 2018, 1:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2018, 1:54 PM
Volans claimed this task.Oct 1 2018, 5:02 PM
Volans triaged this task as Normal priority.
Volans added a subscriber: crusnov.Oct 22 2018, 1:49 PM
Volans updated the task description. (Show Details)Dec 17 2018, 1:39 PM
Volans closed this task as Resolved.Jan 2 2019, 4:22 PM

Resolving as the quarter is over and the goal-specific tasks have been completed.